Package serp.bytecode

# Interface Constants

public interface Constants
Interface to track constants used in bytecode. Entities can access these constants using the static `Constants.` field prefix, or implement this interface themselves to conveniently import the constants into their own namespace.

Author:
  Abe White

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AALOAD`
`static final int`
`AASTORE`
`static final int`
`ACCESS_ABSTRACT`
`static final int`
`ACCESS_ANNOTATION`
`static final int`
`ACCESS_BRIDGE`
`static final int`
`ACCESS_ENUM`
`static final int`
`ACCESS_FINAL`
`static final int`
`ACCESS_INTERFACE`
`static final int`
`ACCESS_NATIVE`
`static final int`
`ACCESS_PRIVATE`
`static final int`
`ACCESS_PROTECTED`
`static final int`
`ACCESS_PUBLIC`
`static final int`
`ACCESS_STATIC`
`static final int`
`ACCESS_STRICT`
`static final int`
`ACCESS_SUPER`
`static final int`
`ACCESS_SYNCHRONIZED`
`static final int`
`ACCESS_SYNTHETIC`
`static final int`
`ACCESS_TRANSIENT`
`static final int`
`ACCESS_VARARGS`
`static final int`
`ACCESS_VOLATILE`
`static final int`
`ACONSTNULL`
`static final int`
`ALOAD`
`static final int`
`ALOAD0`
`static final int`
`ALOAD1`
`static final int`
`ALOAD2`
`static final int`
`ALOAD3`
`static final int`
`ANEWARRAY`
`static final int`
`ARETURN`
`static final int`
`ARRAY_BOOLEAN`
`static final int`
`ARRAY_BYTE`
`static final int`
`ARRAY_CHAR`
`static final int`
`ARRAY_DOUBLE`
`static final int`
`ARRAY_FLOAT`
`static final int`
`ARRAY_INT`
`static final int`
`ARRAY_LONG`
`static final int`
`ARRAY_SHORT`
`static final int`
`ARRAYLENGTH`
`static final int`
`ASTORE`
`static final int`
`ASTORE0`
`static final int`
`ASTORE1`
`static final int`
`ASTORE2`
`static final int`
`ASTORE3`
`static final int`
`ATHROW`
`static final String`
`ATTR_ANNOTATIONS`
`static final String`
`ATTR_BOOTSTRAP_METHODS`
`static final String`
`ATTR_CODE`
`static final String`
`ATTR_CONST`
`static final String`
`ATTR_DEPRECATED`
`static final String`
`ATTR_EXCEPTIONS`
`static final String`
`ATTR_INNERCLASS`
`static final String`
`ATTR_LINENUMBERS`
`static final String`
`ATTR_LOCAL_TYPES`
`static final String`
`ATTR_LOCALS`
`static final String`
`ATTR_RUNTIME_ANNOTATIONS`
`static final String`
`ATTR_SOURCE`
`static final String`
`ATTR_SYNTHETIC`
`static final String`
`ATTR_UNKNOWN`
`static final int`
`BALOAD`
`static final int`
`BASTORE`
`static final int`
`BIPUSH`
`static final int`
`CALOAD`
`static final int`
`CASTORE`
`static final int`
`CHECKCAST`
`static final int`
`D2F`
`static final int`
`D2I`
`static final int`
`D2L`
`static final int`
`DADD`
`static final int`
`DALOAD`
`static final int`
`DASTORE`
`static final int`
`DCMPG`
`static final int`
`DCMPL`
`static final int`
`DCONST0`
`static final int`
`DCONST1`
`static final int`
`DDIV`
`static final int`
`DLOAD`
`static final int`
`DLOAD0`
`static final int`
`DLOAD1`
`static final int`
`DLOAD2`
`static final int`
`DLOAD3`
`static final int`
`DMUL`
`static final int`
`DNEG`
`static final int`
`DREM`
`static final int`
`DRETURN`
`static final int`
`DSTORE`
`static final int`
`DSTORE0`
`static final int`
`DSTORE1`
`static final int`
`DSTORE2`
`static final int`
`DSTORE3`
`static final int`
`DSUB`
`static final int`
`DUP`
`static final int`
`DUP2`
`static final int`
`DUP2X1`
`static final int`
`DUP2X2`
`static final int`
`DUPX1`
`static final int`
`DUPX2`
`static final int`
`F2D`
`static final int`
`F2I`
`static final int`
`F2L`
`static final int`
`FADD`
`static final int`
`FALOAD`
`static final int`
`FASTORE`
`static final int`
`FCMPG`
`static final int`
`FCMPL`
`static final int`
`FCONST0`
`static final int`
`FCONST1`
`static final int`
`FCONST2`
`static final int`
`FDIV`
`static final int`
`FLOAD`
`static final int`
`FLOAD0`
`static final int`
`FLOAD1`
`static final int`
`FLOAD2`
`static final int`
`FLOAD3`
`static final int`
`FMUL`
`static final int`
`FNEG`
`static final int`
`FREM`
`static final int`
`FRETURN`
`static final int`
`FSTORE`
`static final int`
`FSTORE0`
`static final int`
`FSTORE1`
`static final int`
`FSTORE2`
`static final int`
`FSTORE3`
`static final int`
`FSUB`
`static final int`
`GETFIELD`
`static final int`
`GETSTATIC`
`static final int`
`GOTO`
`static final int`
`GOTOW`
`static final int`
`I2B`
`static final int`
`I2C`
`static final int`
`I2D`
`static final int`
`I2F`
`static final int`
`I2L`
`static final int`
`I2S`
`static final int`
`IADD`
`static final int`
`IALOAD`
`static final int`
`IAND`
`static final int`
`IASTORE`
`static final int`
`ICONST0`
`static final int`
`ICONST1`
`static final int`
`ICONST2`
`static final int`
`ICONST3`
`static final int`
`ICONST4`
`static final int`
`ICONST5`
`static final int`
`ICONSTM1`
`static final int`
`IDIV`
`static final int`
`IFACMPEQ`
`static final int`
`IFACMPNE`
`static final int`
`IFEQ`
`static final int`
`IFGE`
`static final int`
`IFGT`
`static final int`
`IFICMPEQ`
`static final int`
`IFICMPGE`
`static final int`
`IFICMPGT`
`static final int`
`IFICMPLE`
`static final int`
`IFICMPLT`
`static final int`
`IFICMPNE`
`static final int`
`IFLE`
`static final int`
`IFLT`
`static final int`
`IFNE`
`static final int`
`IFNONNULL`
`static final int`
`IFNULL`
`static final int`
`IINC`
`static final int`
`ILOAD`
`static final int`
`ILOAD0`
`static final int`
`ILOAD1`
`static final int`
`ILOAD2`
`static final int`
`ILOAD3`
`static final int`
`IMUL`
`static final int`
`INEG`
`static final int`
`INSTANCEOF`
`static final int`
`INVOKEDYNAMIC`
`static final int`
`INVOKEINTERFACE`
`static final int`
`INVOKESPECIAL`
`static final int`
`INVOKESTATIC`
`static final int`
`INVOKEVIRTUAL`
`static final int`
`IOR`
`static final int`
`IREM`
`static final int`
`IRETURN`
`static final int`
`ISHL`
`static final int`
`ISHR`
`static final int`
`ISTORE`
`static final int`
`ISTORE0`
`static final int`
`ISTORE1`
`static final int`
`ISTORE2`
`static final int`
`ISTORE3`
`static final int`
`ISUB`
`static final int`
`IUSHR`
`static final int`
`IXOR`
`static final int`
`JSR`
`static final int`
`JSRW`
`static final int`
`L2D`
`static final int`
`L2F`
`static final int`
`L2I`
`static final int`
`LADD`
`static final int`
`LALOAD`
`static final int`
`LAND`
`static final int`
`LASTORE`
`static final int`
`LCMP`
`static final int`
`LCONST0`
`static final int`
`LCONST1`
`static final int`
`LDC`
`static final int`
`LDC2W`
`static final int`
`LDCW`
`static final int`
`LDIV`
`static final int`
`LLOAD`
`static final int`
`LLOAD0`
`static final int`
`LLOAD1`
`static final int`
`LLOAD2`
`static final int`
`LLOAD3`
`static final int`
`LMUL`
`static final int`
`LNEG`
`static final int`
`LOOKUPSWITCH`
`static final int`
`LOR`
`static final int`
`LREM`
`static final int`
`LRETURN`
`static final int`
`LSHL`
`static final int`
`LSHR`
`static final int`
`LSTORE`
`static final int`
`LSTORE0`
`static final int`
`LSTORE1`
`static final int`
`LSTORE2`
`static final int`
`LSTORE3`
`static final int`
`LSUB`
`static final int`
`LUSHR`
`static final int`
`LXOR`
`static final int`
`MAJOR_VERSION`
`static final int`
`MAJOR_VERSION_JAVA5`
`static final int`
`MATH_ADD`
`static final int`
`MATH_AND`
`static final int`
`MATH_DIV`
`static final int`
`MATH_MUL`
`static final int`
`MATH_NEG`
`static final int`
`MATH_OR`
`static final int`
`MATH_REM`
`static final int`
`MATH_SHL`
`static final int`
`MATH_SHR`
`static final int`
`MATH_SUB`
`static final int`
`MATH_USHR`
`static final int`
`MATH_XOR`
`static final int`
`METHODHANDLE_REF_GETFIELD`
`static final int`
`METHODHANDLE_REF_GETSTATIC`
`static final int`
`METHODHANDLE_REF_INVOKEINTERFACE`
`static final int`
`METHODHANDLE_REF_INVOKESPECIAL`
`static final int`
`METHODHANDLE_REF_INVOKESTATIC`
`static final int`
`METHODHANDLE_REF_INVOKEVIRTUAL`
`static final int`
`METHODHANDLE_REF_NEWINVOKESPECIAL`
`static final int`
`METHODHANDLE_REF_PUTFIELD`
`static final int`
`METHODHANDLE_REF_PUTSTATIC`
`static final int`
`MINOR_VERSION`
`static final int`
`MINOR_VERSION_JAVA5`
`static final int`
`MONITORENTER`
`static final int`
`MONITOREXIT`
`static final int`
`MULTIANEWARRAY`
`static final int`
`NEW`
`static final int`
`NEWARRAY`
`static final int`
`NOP`
`static final String[]`
`OPCODE_NAMES`
`static final int`
`POP`
`static final int`
`POP2`
`static final int`
`PUTFIELD`
`static final int`
`PUTSTATIC`
`static final int`
`RET`
`static final int`
`RETURN`
`static final int`
`SALOAD`
`static final int`
`SASTORE`
`static final int`
`SIPUSH`
`static final int`
`SWAP`
`static final int`
`TABLESWITCH`
`static final int`
`VALID_MAGIC`
`static final int`
`WIDE`

## Field Details

### VALID_MAGIC

static final int VALID_MAGIC

See Also:
  - Constant Field Values

### MAJOR_VERSION

static final int MAJOR_VERSION

See Also:
  - Constant Field Values

### MINOR_VERSION

static final int MINOR_VERSION

See Also:
  - Constant Field Values

### MAJOR_VERSION_JAVA5

static final int MAJOR_VERSION_JAVA5

See Also:
  - Constant Field Values

### MINOR_VERSION_JAVA5

static final int MINOR_VERSION_JAVA5

See Also:
  - Constant Field Values

### ACCESS_PUBLIC

static final int ACCESS_PUBLIC

See Also:
  - Constant Field Values

### ACCESS_PRIVATE

static final int ACCESS_PRIVATE

See Also:
  - Constant Field Values

### ACCESS_PROTECTED

static final int ACCESS_PROTECTED

See Also:
  - Constant Field Values

### ACCESS_STATIC

static final int ACCESS_STATIC

See Also:
  - Constant Field Values

### ACCESS_FINAL

static final int ACCESS_FINAL

See Also:
  - Constant Field Values

### ACCESS_SUPER

static final int ACCESS_SUPER

See Also:
  - Constant Field Values

### ACCESS_SYNCHRONIZED

static final int ACCESS_SYNCHRONIZED

See Also:
  - Constant Field Values

### ACCESS_VOLATILE

static final int ACCESS_VOLATILE

See Also:
  - Constant Field Values

### ACCESS_BRIDGE

static final int ACCESS_BRIDGE

See Also:
  - Constant Field Values

### ACCESS_TRANSIENT

static final int ACCESS_TRANSIENT

See Also:
  - Constant Field Values

### ACCESS_VARARGS

static final int ACCESS_VARARGS

See Also:
  - Constant Field Values

### ACCESS_NATIVE

static final int ACCESS_NATIVE

See Also:
  - Constant Field Values

### ACCESS_INTERFACE

static final int ACCESS_INTERFACE

See Also:
  - Constant Field Values

### ACCESS_ABSTRACT

static final int ACCESS_ABSTRACT

See Also:
  - Constant Field Values

### ACCESS_STRICT

static final int ACCESS_STRICT

See Also:
  - Constant Field Values

### ACCESS_SYNTHETIC

static final int ACCESS_SYNTHETIC

See Also:
  - Constant Field Values

### ACCESS_ANNOTATION

static final int ACCESS_ANNOTATION

See Also:
  - Constant Field Values

### ACCESS_ENUM

static final int ACCESS_ENUM

See Also:
  - Constant Field Values

### ATTR_CODE

static final String ATTR_CODE

See Also:
  - Constant Field Values

### ATTR_CONST

static final String ATTR_CONST

See Also:
  - Constant Field Values

### ATTR_DEPRECATED

static final String ATTR_DEPRECATED

See Also:
  - Constant Field Values

### ATTR_EXCEPTIONS

static final String ATTR_EXCEPTIONS

See Also:
  - Constant Field Values

### ATTR_INNERCLASS

static final String ATTR_INNERCLASS

See Also:
  - Constant Field Values

### ATTR_LINENUMBERS

static final String ATTR_LINENUMBERS

See Also:
  - Constant Field Values

### ATTR_LOCALS

static final String ATTR_LOCALS

See Also:
  - Constant Field Values

### ATTR_LOCAL_TYPES

static final String ATTR_LOCAL_TYPES

See Also:
  - Constant Field Values

### ATTR_SOURCE

static final String ATTR_SOURCE

See Also:
  - Constant Field Values

### ATTR_SYNTHETIC

static final String ATTR_SYNTHETIC

See Also:
  - Constant Field Values

### ATTR_UNKNOWN

static final String ATTR_UNKNOWN

See Also:
  - Constant Field Values

### ATTR_ANNOTATIONS

static final String ATTR_ANNOTATIONS

See Also:
  - Constant Field Values

### ATTR_RUNTIME_ANNOTATIONS

static final String ATTR_RUNTIME_ANNOTATIONS

See Also:
  - Constant Field Values

### ATTR_BOOTSTRAP_METHODS

static final String ATTR_BOOTSTRAP_METHODS

See Also:
  - Constant Field Values

### METHODHANDLE_REF_GETFIELD

static final int METHODHANDLE_REF_GETFIELD

See Also:
  - Constant Field Values

### METHODHANDLE_REF_GETSTATIC

static final int METHODHANDLE_REF_GETSTATIC

See Also:
  - Constant Field Values

### METHODHANDLE_REF_PUTFIELD

static final int METHODHANDLE_REF_PUTFIELD

See Also:
  - Constant Field Values

### METHODHANDLE_REF_PUTSTATIC

static final int METHODHANDLE_REF_PUTSTATIC

See Also:
  - Constant Field Values

### METHODHANDLE_REF_INVOKEVIRTUAL

static final int METHODHANDLE_REF_INVOKEVIRTUAL

See Also:
  - Constant Field Values

### METHODHANDLE_REF_INVOKESTATIC

static final int METHODHANDLE_REF_INVOKESTATIC

See Also:
  - Constant Field Values

### METHODHANDLE_REF_INVOKESPECIAL

static final int METHODHANDLE_REF_INVOKESPECIAL

See Also:
  - Constant Field Values

### METHODHANDLE_REF_NEWINVOKESPECIAL

static final int METHODHANDLE_REF_NEWINVOKESPECIAL

See Also:
  - Constant Field Values

### METHODHANDLE_REF_INVOKEINTERFACE

static final int METHODHANDLE_REF_INVOKEINTERFACE

See Also:
  - Constant Field Values

### NOP

static final int NOP

See Also:
  - Constant Field Values

### ACONSTNULL

static final int ACONSTNULL

See Also:
  - Constant Field Values

### ICONSTM1

static final int ICONSTM1

See Also:
  - Constant Field Values

### ICONST0

static final int ICONST0

See Also:
  - Constant Field Values

### ICONST1

static final int ICONST1

See Also:
  - Constant Field Values

### ICONST2

static final int ICONST2

See Also:
  - Constant Field Values

### ICONST3

static final int ICONST3

See Also:
  - Constant Field Values

### ICONST4

static final int ICONST4

See Also:
  - Constant Field Values

### ICONST5

static final int ICONST5

See Also:
  - Constant Field Values

### LCONST0

static final int LCONST0

See Also:
  - Constant Field Values

### LCONST1

static final int LCONST1

See Also:
  - Constant Field Values

### FCONST0

static final int FCONST0

See Also:
  - Constant Field Values

### FCONST1

static final int FCONST1

See Also:
  - Constant Field Values

### FCONST2

static final int FCONST2

See Also:
  - Constant Field Values

### DCONST0

static final int DCONST0

See Also:
  - Constant Field Values

### DCONST1

static final int DCONST1

See Also:
  - Constant Field Values

### BIPUSH

static final int BIPUSH

See Also:
  - Constant Field Values

### SIPUSH

static final int SIPUSH

See Also:
  - Constant Field Values

### LDC

static final int LDC

See Also:
  - Constant Field Values

### LDCW

static final int LDCW

See Also:
  - Constant Field Values

### LDC2W

static final int LDC2W

See Also:
  - Constant Field Values

### ILOAD

static final int ILOAD

See Also:
  - Constant Field Values

### LLOAD

static final int LLOAD

See Also:
  - Constant Field Values

### FLOAD

static final int FLOAD

See Also:
  - Constant Field Values

### DLOAD

static final int DLOAD

See Also:
  - Constant Field Values

### ALOAD

static final int ALOAD

See Also:
  - Constant Field Values

### ILOAD0

static final int ILOAD0

See Also:
  - Constant Field Values

### ILOAD1

static final int ILOAD1

See Also:
  - Constant Field Values

### ILOAD2

static final int ILOAD2

See Also:
  - Constant Field Values

### ILOAD3

static final int ILOAD3

See Also:
  - Constant Field Values

### LLOAD0

static final int LLOAD0

See Also:
  - Constant Field Values

### LLOAD1

static final int LLOAD1

See Also:
  - Constant Field Values

### LLOAD2

static final int LLOAD2

See Also:
  - Constant Field Values

### LLOAD3

static final int LLOAD3

See Also:
  - Constant Field Values

### FLOAD0

static final int FLOAD0

See Also:
  - Constant Field Values

### FLOAD1

static final int FLOAD1

See Also:
  - Constant Field Values

### FLOAD2

static final int FLOAD2

See Also:
  - Constant Field Values

### FLOAD3

static final int FLOAD3

See Also:
  - Constant Field Values

### DLOAD0

static final int DLOAD0

See Also:
  - Constant Field Values

### DLOAD1

static final int DLOAD1

See Also:
  - Constant Field Values

### DLOAD2

static final int DLOAD2

See Also:
  - Constant Field Values

### DLOAD3

static final int DLOAD3

See Also:
  - Constant Field Values

### ALOAD0

static final int ALOAD0

See Also:
  - Constant Field Values

### ALOAD1

static final int ALOAD1

See Also:
  - Constant Field Values

### ALOAD2

static final int ALOAD2

See Also:
  - Constant Field Values

### ALOAD3

static final int ALOAD3

See Also:
  - Constant Field Values

### IALOAD

static final int IALOAD

See Also:
  - Constant Field Values

### LALOAD

static final int LALOAD

See Also:
  - Constant Field Values

### FALOAD

static final int FALOAD

See Also:
  - Constant Field Values

### DALOAD

static final int DALOAD

See Also:
  - Constant Field Values

### AALOAD

static final int AALOAD

See Also:
  - Constant Field Values

### BALOAD

static final int BALOAD

See Also:
  - Constant Field Values

### CALOAD

static final int CALOAD

See Also:
  - Constant Field Values

### SALOAD

static final int SALOAD

See Also:
  - Constant Field Values

### ISTORE

static final int ISTORE

See Also:
  - Constant Field Values

### LSTORE

static final int LSTORE

See Also:
  - Constant Field Values

### FSTORE

static final int FSTORE

See Also:
  - Constant Field Values

### DSTORE

static final int DSTORE

See Also:
  - Constant Field Values

### ASTORE

static final int ASTORE

See Also:
  - Constant Field Values

### ISTORE0

static final int ISTORE0

See Also:
  - Constant Field Values

### ISTORE1

static final int ISTORE1

See Also:
  - Constant Field Values

### ISTORE2

static final int ISTORE2

See Also:
  - Constant Field Values

### ISTORE3

static final int ISTORE3

See Also:
  - Constant Field Values

### LSTORE0

static final int LSTORE0

See Also:
  - Constant Field Values

### LSTORE1

static final int LSTORE1

See Also:
  - Constant Field Values

### LSTORE2

static final int LSTORE2

See Also:
  - Constant Field Values

### LSTORE3

static final int LSTORE3

See Also:
  - Constant Field Values

### FSTORE0

static final int FSTORE0

See Also:
  - Constant Field Values

### FSTORE1

static final int FSTORE1

See Also:
  - Constant Field Values

### FSTORE2

static final int FSTORE2

See Also:
  - Constant Field Values

### FSTORE3

static final int FSTORE3

See Also:
  - Constant Field Values

### DSTORE0

static final int DSTORE0

See Also:
  - Constant Field Values

### DSTORE1

static final int DSTORE1

See Also:
  - Constant Field Values

### DSTORE2

static final int DSTORE2

See Also:
  - Constant Field Values

### DSTORE3

static final int DSTORE3

See Also:
  - Constant Field Values

### ASTORE0

static final int ASTORE0

See Also:
  - Constant Field Values

### ASTORE1

static final int ASTORE1

See Also:
  - Constant Field Values

### ASTORE2

static final int ASTORE2

See Also:
  - Constant Field Values

### ASTORE3

static final int ASTORE3

See Also:
  - Constant Field Values

### IASTORE

static final int IASTORE

See Also:
  - Constant Field Values

### LASTORE

static final int LASTORE

See Also:
  - Constant Field Values

### FASTORE

static final int FASTORE

See Also:
  - Constant Field Values

### DASTORE

static final int DASTORE

See Also:
  - Constant Field Values

### AASTORE

static final int AASTORE

See Also:
  - Constant Field Values

### BASTORE

static final int BASTORE

See Also:
  - Constant Field Values

### CASTORE

static final int CASTORE

See Also:
  - Constant Field Values

### SASTORE

static final int SASTORE

See Also:
  - Constant Field Values

### POP

static final int POP

See Also:
  - Constant Field Values

### POP2

static final int POP2

See Also:
  - Constant Field Values

### DUP

static final int DUP

See Also:
  - Constant Field Values

### DUPX1

static final int DUPX1

See Also:
  - Constant Field Values

### DUPX2

static final int DUPX2

See Also:
  - Constant Field Values

### DUP2

static final int DUP2

See Also:
  - Constant Field Values

### DUP2X1

static final int DUP2X1

See Also:
  - Constant Field Values

### DUP2X2

static final int DUP2X2

See Also:
  - Constant Field Values

### SWAP

static final int SWAP

See Also:
  - Constant Field Values

### IADD

static final int IADD

See Also:
  - Constant Field Values

### LADD

static final int LADD

See Also:
  - Constant Field Values

### FADD

static final int FADD

See Also:
  - Constant Field Values

### DADD

static final int DADD

See Also:
  - Constant Field Values

### ISUB

static final int ISUB

See Also:
  - Constant Field Values

### LSUB

static final int LSUB

See Also:
  - Constant Field Values

### FSUB

static final int FSUB

See Also:
  - Constant Field Values

### DSUB

static final int DSUB

See Also:
  - Constant Field Values

### IMUL

static final int IMUL

See Also:
  - Constant Field Values

### LMUL

static final int LMUL

See Also:
  - Constant Field Values

### FMUL

static final int FMUL

See Also:
  - Constant Field Values

### DMUL

static final int DMUL

See Also:
  - Constant Field Values

### IDIV

static final int IDIV

See Also:
  - Constant Field Values

### LDIV

static final int LDIV

See Also:
  - Constant Field Values

### FDIV

static final int FDIV

See Also:
  - Constant Field Values

### DDIV

static final int DDIV

See Also:
  - Constant Field Values

### IREM

static final int IREM

See Also:
  - Constant Field Values

### LREM

static final int LREM

See Also:
  - Constant Field Values

### FREM

static final int FREM

See Also:
  - Constant Field Values

### DREM

static final int DREM

See Also:
  - Constant Field Values

### INEG

static final int INEG

See Also:
  - Constant Field Values

### LNEG

static final int LNEG

See Also:
  - Constant Field Values

### FNEG

static final int FNEG

See Also:
  - Constant Field Values

### DNEG

static final int DNEG

See Also:
  - Constant Field Values

### ISHL

static final int ISHL

See Also:
  - Constant Field Values

### LSHL

static final int LSHL

See Also:
  - Constant Field Values

### ISHR

static final int ISHR

See Also:
  - Constant Field Values

### LSHR

static final int LSHR

See Also:
  - Constant Field Values

### IUSHR

static final int IUSHR

See Also:
  - Constant Field Values

### LUSHR

static final int LUSHR

See Also:
  - Constant Field Values

### IAND

static final int IAND

See Also:
  - Constant Field Values

### LAND

static final int LAND

See Also:
  - Constant Field Values

### IOR

static final int IOR

See Also:
  - Constant Field Values

### LOR

static final int LOR

See Also:
  - Constant Field Values

### IXOR

static final int IXOR

See Also:
  - Constant Field Values

### LXOR

static final int LXOR

See Also:
  - Constant Field Values

### IINC

static final int IINC

See Also:
  - Constant Field Values

### I2L

static final int I2L

See Also:
  - Constant Field Values

### I2F

static final int I2F

See Also:
  - Constant Field Values

### I2D

static final int I2D

See Also:
  - Constant Field Values

### L2I

static final int L2I

See Also:
  - Constant Field Values

### L2F

static final int L2F

See Also:
  - Constant Field Values

### L2D

static final int L2D

See Also:
  - Constant Field Values

### F2I

static final int F2I

See Also:
  - Constant Field Values

### F2L

static final int F2L

See Also:
  - Constant Field Values

### F2D

static final int F2D

See Also:
  - Constant Field Values

### D2I

static final int D2I

See Also:
  - Constant Field Values

### D2L

static final int D2L

See Also:
  - Constant Field Values

### D2F

static final int D2F

See Also:
  - Constant Field Values

### I2B

static final int I2B

See Also:
  - Constant Field Values

### I2C

static final int I2C

See Also:
  - Constant Field Values

### I2S

static final int I2S

See Also:
  - Constant Field Values

### LCMP

static final int LCMP

See Also:
  - Constant Field Values

### FCMPL

static final int FCMPL

See Also:
  - Constant Field Values

### FCMPG

static final int FCMPG

See Also:
  - Constant Field Values

### DCMPL

static final int DCMPL

See Also:
  - Constant Field Values

### DCMPG

static final int DCMPG

See Also:
  - Constant Field Values

### IFEQ

static final int IFEQ

See Also:
  - Constant Field Values

### IFNE

static final int IFNE

See Also:
  - Constant Field Values

### IFLT

static final int IFLT

See Also:
  - Constant Field Values

### IFGE

static final int IFGE

See Also:
  - Constant Field Values

### IFGT

static final int IFGT

See Also:
  - Constant Field Values

### IFLE

static final int IFLE

See Also:
  - Constant Field Values

### IFICMPEQ

static final int IFICMPEQ

See Also:
  - Constant Field Values

### IFICMPNE

static final int IFICMPNE

See Also:
  - Constant Field Values

### IFICMPLT

static final int IFICMPLT

See Also:
  - Constant Field Values

### IFICMPGE

static final int IFICMPGE

See Also:
  - Constant Field Values

### IFICMPGT

static final int IFICMPGT

See Also:
  - Constant Field Values

### IFICMPLE

static final int IFICMPLE

See Also:
  - Constant Field Values

### IFACMPEQ

static final int IFACMPEQ

See Also:
  - Constant Field Values

### IFACMPNE

static final int IFACMPNE

See Also:
  - Constant Field Values

### GOTO

static final int GOTO

See Also:
  - Constant Field Values

### JSR

static final int JSR

See Also:
  - Constant Field Values

### RET

static final int RET

See Also:
  - Constant Field Values

### TABLESWITCH

static final int TABLESWITCH

See Also:
  - Constant Field Values

### LOOKUPSWITCH

static final int LOOKUPSWITCH

See Also:
  - Constant Field Values

### IRETURN

static final int IRETURN

See Also:
  - Constant Field Values

### LRETURN

static final int LRETURN

See Also:
  - Constant Field Values

### FRETURN

static final int FRETURN

See Also:
  - Constant Field Values

### DRETURN

static final int DRETURN

See Also:
  - Constant Field Values

### ARETURN

static final int ARETURN

See Also:
  - Constant Field Values

### RETURN

static final int RETURN

See Also:
  - Constant Field Values

### GETSTATIC

static final int GETSTATIC

See Also:
  - Constant Field Values

### PUTSTATIC

static final int PUTSTATIC

See Also:
  - Constant Field Values

### GETFIELD

static final int GETFIELD

See Also:
  - Constant Field Values

### PUTFIELD

static final int PUTFIELD

See Also:
  - Constant Field Values

### INVOKEVIRTUAL

static final int INVOKEVIRTUAL

See Also:
  - Constant Field Values

### INVOKESPECIAL

static final int INVOKESPECIAL

See Also:
  - Constant Field Values

### INVOKESTATIC

static final int INVOKESTATIC

See Also:
  - Constant Field Values

### INVOKEINTERFACE

static final int INVOKEINTERFACE

See Also:
  - Constant Field Values

### INVOKEDYNAMIC

static final int INVOKEDYNAMIC

See Also:
  - Constant Field Values

### NEW

static final int NEW

See Also:
  - Constant Field Values

### NEWARRAY

static final int NEWARRAY

See Also:
  - Constant Field Values

### ANEWARRAY

static final int ANEWARRAY

See Also:
  - Constant Field Values

### ARRAYLENGTH

static final int ARRAYLENGTH

See Also:
  - Constant Field Values

### ATHROW

static final int ATHROW

See Also:
  - Constant Field Values

### CHECKCAST

static final int CHECKCAST

See Also:
  - Constant Field Values

### INSTANCEOF

static final int INSTANCEOF

See Also:
  - Constant Field Values

### MONITORENTER

static final int MONITORENTER

See Also:
  - Constant Field Values

### MONITOREXIT

static final int MONITOREXIT

See Also:
  - Constant Field Values

### WIDE

static final int WIDE

See Also:
  - Constant Field Values

### MULTIANEWARRAY

static final int MULTIANEWARRAY

See Also:
  - Constant Field Values

### IFNULL

static final int IFNULL

See Also:
  - Constant Field Values

### IFNONNULL

static final int IFNONNULL

See Also:
  - Constant Field Values

### GOTOW

static final int GOTOW

See Also:
  - Constant Field Values

### JSRW

static final int JSRW

See Also:
  - Constant Field Values

### ARRAY_BOOLEAN

static final int ARRAY_BOOLEAN

See Also:
  - Constant Field Values

### ARRAY_CHAR

static final int ARRAY_CHAR

See Also:
  - Constant Field Values

### ARRAY_FLOAT

static final int ARRAY_FLOAT

See Also:
  - Constant Field Values

### ARRAY_DOUBLE

static final int ARRAY_DOUBLE

See Also:
  - Constant Field Values

### ARRAY_BYTE

static final int ARRAY_BYTE

See Also:
  - Constant Field Values

### ARRAY_SHORT

static final int ARRAY_SHORT

See Also:
  - Constant Field Values

### ARRAY_INT

static final int ARRAY_INT

See Also:
  - Constant Field Values

### ARRAY_LONG

static final int ARRAY_LONG

See Also:
  - Constant Field Values

### MATH_ADD

static final int MATH_ADD

See Also:
  - Constant Field Values

### MATH_SUB

static final int MATH_SUB

See Also:
  - Constant Field Values

### MATH_MUL

static final int MATH_MUL

See Also:
  - Constant Field Values

### MATH_DIV

static final int MATH_DIV

See Also:
  - Constant Field Values

### MATH_REM

static final int MATH_REM

See Also:
  - Constant Field Values

### MATH_NEG

static final int MATH_NEG

See Also:
  - Constant Field Values

### MATH_SHL

static final int MATH_SHL

See Also:
  - Constant Field Values

### MATH_SHR

static final int MATH_SHR

See Also:
  - Constant Field Values

### MATH_USHR

static final int MATH_USHR

See Also:
  - Constant Field Values

### MATH_AND

static final int MATH_AND

See Also:
  - Constant Field Values

### MATH_OR

static final int MATH_OR

See Also:
  - Constant Field Values

### MATH_XOR

static final int MATH_XOR

See Also:
  - Constant Field Values

### OPCODE_NAMES

static final String[] OPCODE_NAMES